Skip to Content
veriom

Workspace agent activity

GET
/v1/workspaces/{workspace_id}/agent-activity

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

automated_only?Automated Only

Only what agents and automation did, with no person acting.

Defaultfalse
cursor?string|null
limit?Limit
Range1 <= value <= 100
Default50

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>

What agents and automation did, newest first.

live*array<>

Audits running or waiting, with their stages.

next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/agent-activity'
Example Response
{  "has_more": false,  "items": [    {      "action": "string",      "actor_login": "string",      "automated": true,      "created_at": "2019-08-24T14:15:22Z",      "details": {},      "failed_gates": [        "string"      ],      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "audit",      "resource_id": "4d5215ed-38bb-48ed-879a-fdb9ca58522f",      "resource_type": "string",      "withdrawal_deadline": "2019-08-24T14:15:22Z"    }  ],  "live": [    {      "agent_runs": [        {          "agent_key": "string",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "started_at": "2019-08-24T14:15:22Z",          "status": "string"        }      ],      "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",      "automatic": true,      "created_at": "2019-08-24T14:15:22Z",      "current_stage": "string",      "origin": "string",      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",      "stages": [        {          "completed_at": "2019-08-24T14:15:22Z",          "name": "string",          "started_at": "2019-08-24T14:15:22Z",          "status": "string"        }      ],      "status": "string",      "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb"    }  ],  "next_cursor": "string"}